﻿using System.Globalization;

namespace KMeansBase;

public class Csv
{
    public static IEnumerable<Point> Parse(string path)
    {
        var lines = File.ReadLines(path);
        foreach (var line in lines)
        {
            var current = line.Split(',');
            if (!double.TryParse(current[0], NumberStyles.Any, CultureInfo.InvariantCulture, out var x)) continue;
            if (!double.TryParse(current[1], NumberStyles.Any, CultureInfo.InvariantCulture, out var y)) continue;
            yield return new Point(x, y, -1);
        }
    }
}