﻿namespace KMeansBase;

public record Point(double X, double Y, int ClusterId)
{
    public int ClusterId { get; set; } = ClusterId;
    public double X { get; private set; } = X;
    public double Y { get; private set; } = Y;

    public bool SetCoordinates(double x, double y)
    {
        if (!(Math.Abs(X - x) > 1e-5) || !(Math.Abs(Y - y) > 1e-5)) return false;
        X = x;
        Y = y;
        return true;
    }
}